# Developing Extensions in JupyterLab

JupyterLab is a fun web-based user interface for scientists, developers and designers for exploration, analysis, visualization. It is a flexible and highly extensible set of components that allows users to customize and enhance the existing experience. In this tutorial, attendees will be guided through the process of creating a basic extension and taught about the core APIs that power JupyterLab.

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/marthacryan/jupytercon2020-developingextensions/master?urlpath=lab/tree/README.md)

## Agenda

* Introducing the instructors
* Lab Extensions
* Server Extensions
* Debugging
* Bringing together lab and server extensions

## About the Instructors

* Alex Bozarth
    * Alex Bozarth is a software engineer at the [IBM Center for Open Source Data and AI Technologies (CODAIT)](https://www.ibm.com/opensource/centers/codait/). He is a PPMC for [Apache Livy](https://livy.apache.org), a part of the Apache Spark ecosystem. He is currently active in the [JupyterLab project](https://jupyterlab.readthedocs.io/en/stable/) and [Elyra](https://elyra.readthedocs.io/en/latest/), a suite of JupyterLab extensions.
    * ajbozart@us.ibm.com
* Karla Spuldaro
    * Open Source Software Developer at IBM. Contributes to the JupyterLab Ecosystem projects.
    * karla.spuldaro@ibm.com
* Martha Cryan
    * Martha Cryan is a software engineer at the [IBM Center for Open Source Data and AI Technologies (CODAIT)](https://www.ibm.com/opensource/centers/codait/), working on [Elyra](https://github.com/elyra-ai/elyra). I recently graduated from Carnegie Mellon University, and I live in Austin, Texas.
    * martha.cryan@ibm.com
* Max Klein
    * Biophysics PhD, Jupyterlab maintainer, and developer at JPMorgan Chase (as part of the Athena Research team). My current primary project is [JupyterFS](https://github.com/jpmorganchase/jupyter-fs) and the Jupyterlab filesystem. I spend a lot of time thinking deeply about the future of file and data handling in Jupyter.
    * telamonian@hotmail.com

## License

The source materials for JupyterCon tutorials are copyright of their authors.

[Apache 2.0](LICENSE.txt)
